Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problem upgrading system
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
tgc47
n00b
n00b


Joined: 03 Jun 2006
Posts: 4

PostPosted: Sun Jun 25, 2006 10:21 pm    Post subject: Problem upgrading system Reply with quote

I tried to upgrade my system by doing the following:
1. emerge --sync
2. emerge --update --ask world

but got an error message on step 2
!!! Error: The above package list contains packages which cannot be installed
!!! on the same system.

Here is the full output:
emerge --update --ask world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!

[blocks B ] sys-apps/utempter (is blocking sys-libs/libutempter-1.1.2.1)
[blocks B ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)
[ebuild U ] sys-apps/man-pages-2.33 [2.20]
[ebuild U ] sys-libs/ncurses-5.5-r2 [5.4-r6]
[ebuild U ] app-shells/bash-3.1_p16 [3.0-r12]
[ebuild U ] sys-libs/cracklib-2.8.5-r1 [2.8.5]
[ebuild U ] app-editors/nano-1.3.10-r1 [1.3.9]
[ebuild U ] sys-apps/hdparm-6.3 [5.9]
[ebuild U ] sys-devel/make-3.80-r4 [3.80-r2]
[ebuild U ] sys-process/procps-3.2.6 [3.2.5-r1]
[ebuild U ] sys-apps/sed-4.1.4-r1 [4.1.4]
[ebuild U ] sys-devel/libperl-5.8.8-r1 [5.8.7]
[ebuild U ] dev-lang/perl-5.8.8-r2 [5.8.7-r3]
[ebuild N ] perl-core/Test-Harness-2.56
[ebuild U ] app-admin/perl-cleaner-1.04 [1.01]
[ebuild N ] perl-core/PodParser-1.32
[ebuild U ] sys-devel/m4-1.4.4 [1.4.3]
[ebuild U ] sys-devel/autoconf-2.59-r7 [2.59-r6]
[ebuild U ] sys-apps/coreutils-5.94-r1 [5.2.1-r6]
[ebuild U ] sys-libs/readline-5.1_p4 [5.0-r2]
[ebuild U ] sys-apps/sandbox-1.2.17 [1.2.12]
[ebuild U ] app-misc/pax-utils-0.1.13 [0.1.4]
[ebuild N ] dev-python/pycrypto-2.0.1-r5
[ebuild U ] sys-apps/debianutils-2.15 [2.14.1-r1]
[ebuild U ] sys-apps/portage-2.1-r1 [2.0.54]
*** Portage will stop merging at this point and reload itself,
recalculate dependencies, and complete the merge.
[ebuild U ] sys-apps/baselayout-1.11.15-r3 [1.11.14-r3]
[ebuild U ] sys-fs/udev-087-r1 [079-r1]
[ebuild U ] sys-devel/binutils-config-1.8-r7 [1.8-r6]
[ebuild U ] sys-devel/gnuconfig-20060227 [20051223]
[ebuild U ] sys-devel/binutils-2.16.1-r2 [2.16.1]
[ebuild NS ] sys-kernel/gentoo-sources-2.6.16-r9
[ebuild U ] app-crypt/hashalot-0.3-r2 [0.3-r1]
[ebuild U ] sys-fs/e2fsprogs-1.38-r1 [1.38]
[ebuild U ] sys-apps/util-linux-2.12r-r3 [2.12r-r1]
[ebuild U ] sys-devel/flex-2.5.33-r1 [2.5.4a-r6]
[ebuild U ] x11-base/xorg-x11-6.8.2-r8 [6.8.2-r7]
[ebuild N ] sys-libs/libutempter-1.1.2.1
[ebuild U ] x11-terms/xterm-215 [207]
[ebuild U ] x11-wm/fluxbox-0.9.14-r2 [0.9.14-r1]
[ebuild U ] dev-libs/openssl-0.9.7i [0.9.7e-r2]
[ebuild U ] sys-apps/shadow-4.0.15-r2 [4.0.7-r4]
[ebuild U ] net-misc/openssh-4.3_p2-r1 [4.2_p1-r1]
[ebuild U ] sys-devel/gcc-config-1.3.13-r2 [1.3.12-r6]
[ebuild U ] sys-devel/bison-2.1 [1.875d]
[ebuild N ] sys-libs/timezone-data-2006a
[ebuild U ] sys-libs/glibc-2.3.6-r4 [2.3.5-r2]
[ebuild U ] sys-devel/gcc-3.4.6-r1 [3.4.4-r1]
[ebuild U ] sys-apps/busybox-1.1.0 [1.00-r4]
[ebuild U ] sys-apps/gawk-3.1.5 [3.1.4-r4]
[ebuild U ] app-arch/bzip2-1.0.3-r6 [1.0.3-r5]
[ebuild U ] app-arch/tar-1.15.1-r1 [1.15.1]
[ebuild U ] sys-process/vixie-cron-4.1-r9 [4.1-r8]
[ebuild U ] sys-apps/kbd-1.12-r6 [1.12-r5]
[ebuild U ] media-fonts/dejavu-2.6 [2.0]
[ebuild U ] sys-apps/less-394 [385_p4-r2]
[ebuild U ] net-misc/rsync-2.6.8-r2 [2.6.0-r6]
[ebuild U ] sys-process/psmisc-22.1 [21.9]
[ebuild U ] net-firewall/iptables-1.3.5-r1 [1.3.4]

!!! Error: The above package list contains packages which cannot be installed
!!! on the same system.

Any idea what's wrong here?
Back to top
View user's profile Send private message
hielvc
Advocate
Advocate


Joined: 19 Apr 2002
Posts: 2801
Location: Oceanside, Ca

PostPosted: Sun Jun 25, 2006 10:27 pm    Post subject: Reply with quote

See this sticky at the top of this forum pam-login blocks shadow do the same for sys-apps/utempter, that is "emerge -C sys-apps/utempter "
_________________
An A-Z Index of the Linux BASH command line
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Mon Jun 26, 2006 1:28 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum